/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.swing.plaf.themelf;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.plaf.*;


final class JColorSelector extends JButton implements ActionListener {
	private static final boolean DEBUG = false;

	private Color color = null;
	
	
	public JColorSelector()  {
		super("");
		addActionListener(this);
	}

	
	public void actionPerformed(ActionEvent e)  {
		JColorChooser chooser = new JColorChooser();
		Color c = chooser.showDialog(this, ThemeLF_Prefs.GRS("JColorSelector.Title"), color);
		if (c != null) setColor(c);
	}

	
	public ColorUIResource getColorUIResource()  {
		return new ColorUIResource(color);
	}

	
	public Dimension getMinimumSize()  {
		return getPreferredSize();
		
	}

	
	public Dimension getPreferredSize()  {
		return new Dimension(24,24);
	}

	
	public void paint(Graphics g)  {
		super.paint(g);
		
		Dimension size = getSize();
		g.setColor(color);
		g.fillRect(3,3,size.width-6,size.height-6);
	}

	
	public void setColor(Color c)  {
		color = c;
		repaint();
	}

}
