/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.swing.plaf.themelf;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.plaf.*;


final class JFontSelector extends JButton implements ActionListener {
	private static final boolean DEBUG = false;

	Font userfont = new Font("SansSerif", Font.PLAIN, 12);
	
	
	public JFontSelector()  {
		super("");
		
		setText(getFontAsString());
		addActionListener(this);
	}

	
	public void actionPerformed(ActionEvent e)  {
		JFontChooser chooser = new JFontChooser();
		Font f = chooser.showDialog(this, ThemeLF_Prefs.GRS("JFontSelector.Title"), userfont);
		if (f != null) setUserFont(f);
	}

	
	public String getFontAsString()  {
		String style = "";
		if (userfont.isBold()) 	style += "b";
		if (userfont.isItalic()) 	style += "i";
		
		return userfont.getName() + "/" + userfont.getSize() + style;
	}

	
	public FontUIResource getFontUIResource()  {
		return new FontUIResource(userfont);
	}

	
	public void setUserFont(Font newFont)  {
		userfont = newFont;
		setText(getFontAsString());
	}

}
