/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.swing.plaf.themelf;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;


public class ThemeLF_ButtonUI_Border extends AbstractBorder implements UIResource {
	private static final boolean DEBUG = false;

	ThemeLF_Resource	resource 		= ThemeLF.getUI("Button");
	ThemeLF_Border		normalBorder 	= resource.getBorder("normalBorder");
	ThemeLF_Border		pressedBorder 	= resource.getBorder("pressedBorder");
	
	
	public Insets getBorderInsets(Component c)  {
		return normalBorder.getBorderInsets(c);
	}

	
	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h)  {
		if (((JButton)c).getModel().isPressed()) pressedBorder.paintBorder(c, g, x, y, w, h); else normalBorder.paintBorder(c, g, x, y, w, h);
	}

}
