/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.swing.plaf.themelf;

import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;


public class ThemeLF_DesktopIconUI extends BasicDesktopIconUI {
	private static final boolean DEBUG = false;

	ThemeLF_Resource 		resource 	= null;
	IconUIResource 			icon 		= null;
	FontUIResource 			font 		= null;
	ColorUIResource			textColor	= null;
	
	
	public static ComponentUI createUI(JComponent c)  {
		return new ThemeLF_DesktopIconUI();
	}

	
	public java.awt.Dimension getMaximumSize(JComponent c)  {
		return getPreferredSize(c);
	}

	
	public java.awt.Dimension getMinimumSize(JComponent c)  {
		return getPreferredSize(c);
	}

	
	public java.awt.Dimension getPreferredSize(javax.swing.JComponent arg0)  {
		return new Dimension(icon.getIconWidth() + 4, icon.getIconHeight() + 4 + font.getSize() + 2);
	}

	
	protected void installComponents()  {
	}

	
	public void installUI(JComponent c)  {
		super.installUI(c);
		
		resource 	= ThemeLF.getUI("Desktop");
		icon 		= resource.getIcon("icon");
		font 		= resource.getFont("font");
		textColor	= resource.getColor("textColor");
	}

	
	public void paint(Graphics g, JComponent c)  {
		icon.paintIcon(c, g, 2, 2);
		
		// FensterTitel
		g.setColor(textColor);
		g.setFont(font);
		
		String title = ((JInternalFrame.JDesktopIcon)c).getInternalFrame().getTitle();
		if (title == null) return;
		
		FontMetrics m = c.getFontMetrics(font);
		c.setToolTipText(title);
		
		while (m.stringWidth(title) > icon.getIconWidth()) title = title.substring(0, title.length()-1);
		g.drawString(title, 2, 2 + icon.getIconHeight() + 2 + m.getAscent());
	}

	
	protected void uninstallComponents()  {
	}

}
