/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.swing.plaf.themelf;

import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;


public class ThemeLF_DesktopPaneUI extends BasicDesktopPaneUI {
	private static final boolean DEBUG = false;

	ThemeLF_Resource	resource 	= null;
	ThemeLF_Disabler 		disabler 	= null;
	
	
	public static ComponentUI createUI(JComponent c)  {
		return new ThemeLF_DesktopPaneUI();
	}

	
	public void installUI(JComponent c)  {
		super.installUI(c);
		
		resource 	= ThemeLF.getUI("Desktop");
		disabler 	= resource.getDisabler("disable");
	}

	
	public void paint(Graphics g, JComponent c)  {
		super.paint(g, c);
		
		if (! c.isEnabled()) disabler.paint(c, g, 0, 0, 0, 0);
	}

}
